/**
\file
\ingroup    SASUNIT_EXAMPLES_PGM

\brief      Create combined dataset for a database

            
\version    \$Revision: 315 $
\author     \$Author: klandwich $
\date       \$Date: 2014-02-28 10:25:18 +0100 (Fr, 28 Feb 2014) $
\sa         For further information please refer to <A href="https://sourceforge.net/p/sasunit/wiki/User's%20Guide/" target="_blank">SASUnit User's Guide</A>
\sa         \$HeadURL: https://svn.code.sf.net/p/sasunit/code/trunk/example/saspgm/combineddataset.sas $
\copyright  Copyright 2010, 2012 HMS Analytical Software GmbH.
            This file is part of SASUnit, the Unit testing framework for SAS(R) programs.
            For terms of usage under the GPL license see included file readme.txt
            or https://sourceforge.net/p/sasunit/wiki/readme.v1.2/.

*/ /** \cond */ 

%MACRO combineddataset;

   proc sql noprint;
      create table work.combineddataset as
         select  CustomerName
                ,Customer.CustomerNumber
                ,Contracts.ContractNumber
                ,ContractType
         from work.Customer left join work.CustomerContracts 
         on Customer.CustomerNumber=CustomerContracts.CustomerNumber
         left join work.Contracts on CustomerContracts.ContractNumber=Contracts.ContractNumber;
   quit;

%MEND combineddataset;
/** \endcond */
