/** \file
   \ingroup    SASUNIT_UTIL 

   \brief      check whether &i_path is absolute or empty. If not, append to &i_root.

   \version    \$Revision: 315 $
   \author     \$Author: klandwich $
   \date       \$Date: 2014-02-28 10:25:18 +0100 (Fr, 28 Feb 2014) $
   \sa         For further information please refer to <A href="https://sourceforge.net/p/sasunit/wiki/User's%20Guide/" target="_blank">SASUnit User's Guide</A>
   \sa         \$HeadURL: https://svn.code.sf.net/p/sasunit/code/trunk/saspgm/sasunit/_abspath.sas $
   \copyright  Copyright 2010, 2012 HMS Analytical Software GmbH.
               This file is part of SASUnit, the Unit testing framework for SAS(R) programs.
               For terms of usage under the GPL license see included file readme.txt
               or https://sourceforge.net/p/sasunit/wiki/readme.v1.2/.
   \param   i_root   optional: root path
   \param   i_path   path to be checked

   \return           modified path
*/ /** \cond */ 

%MACRO _abspath (i_root
                ,i_path 
                );

   %IF "&i_path" EQ "" %THEN %RETURN;

   %IF %length(&i_root) %THEN %DO;
      %LET i_root = %qsysfunc(translate(&i_root,/,\));
      %IF "%substr(&i_root,%length(&i_root),1)" = "/" %THEN 
         %LET i_root=%substr(&i_root,1,%eval(%length(&i_root)-1));
   %END;

   %LET i_path = %qsysfunc(translate(&i_path,/,\));
   %IF "%substr(&i_path,1,1)" = "/" OR "%substr(&i_path,2,2)" = ":/" %THEN &i_path;
   %ELSE %IF %length(&i_root) %THEN &i_root/&i_path;
   %ELSE &i_path;

%MEND _abspath;
/** \endcond */
