/** \file
   \ingroup    SASUNIT_UTIL 

   \brief      copy file byte by byte

               no error checking

   \%copyfile (input, output)

   \version    \$Revision: 315 $
   \author     \$Author: klandwich $
   \date       \$Date: 2014-02-28 10:25:18 +0100 (Fr, 28 Feb 2014) $
   \sa         For further information please refer to <A href="https://sourceforge.net/p/sasunit/wiki/User's%20Guide/" target="_blank">SASUnit User's Guide</A>
   \sa         \$HeadURL: https://svn.code.sf.net/p/sasunit/code/trunk/saspgm/sasunit/_copyfile.sas $
   \copyright  Copyright 2010, 2012 HMS Analytical Software GmbH.
               This file is part of SASUnit, the Unit testing framework for SAS(R) programs.
               For terms of usage under the GPL license see included file readme.txt
               or https://sourceforge.net/p/sasunit/wiki/readme.v1.2/.

   \param   i_file   input file with complete path
   \param   o_file   output file with complete path

*/ /** \cond */

%MACRO _copyFile (i_file  /* input file */
                 ,o_file  /* output file */
                 );
   DATA _null_;
      INFILE "&i_file" RECFM=N LRECL=1048576 LENGTH=l SHAREBUFFERS BLKSIZE=32768;
      FILE "&o_file" RECFM=N LRECL=32768 BLKSIZE=1048576;
      INPUT line $char32767.;
      PUT line $varying32767. l;
   RUN;
%MEND _copyFile;
 /** \endcond */
