/** \file
   \ingroup    SASUNIT_UTIL

   \brief      initialize error handling, see _handleError.sas.

               Must be called before first call to _handleerror.
               Resets global variables for error handling. 

   \version    \$Revision: 315 $
   \author     \$Author: klandwich $
   \date       \$Date: 2014-02-28 10:25:18 +0100 (Fr, 28 Feb 2014) $
   \sa         For further information please refer to <A href="https://sourceforge.net/p/sasunit/wiki/User's%20Guide/" target="_blank">SASUnit User's Guide</A>
   \sa         \$HeadURL: https://svn.code.sf.net/p/sasunit/code/trunk/saspgm/sasunit/_initerrorhandler.sas $

*/ /** \cond */ 

%MACRO _initErrorHandler;

   /* global signal for return of error conditions to calling macros programs */
   %GLOBAL g_error_code; 
   %LET g_error_code=;

   /* most recent error message */
   %GLOBAL g_error_msg; 
   %LET g_error_msg=;

   /* macro program which generated the most recent error */
   %GLOBAL g_error_macro; 
   %LET g_error_macro=;

%MEND _initErrorHandler;
/** \endcond */
