/**
   \file
   \ingroup    SASUNIT_UTIL 

   \brief      This macro is part of the HTML speedup solution and "closes" an open HTML page. 

               With SAS 9.2 came the possibility to use HTML4 which supports the new inline formatting \n
            syntax ^{style [<style-statements>]Text}. It is now a tagset and no more a programmed destination\n
            like HTML3. Opening the destination takes up to several seconds.
            
            Key concept of speeding up the creation of HTML4 pages is to keep the destination open. You can easily\n
            switch documents by specifying ODS HTML file="...". Both html pages the old one that is not explicity closed.\n
            and the new one that will be opened, comply fully to HTML standard.
            
            _OpenDummyHtml.sas open a dummy HTML page that will be left open through the runtime of reportSASUnit.sas.
            _CloseHtmlPage.sas redirects the destination to the dummy html page.

   \version    \$Revision: 315 $
   \author     \$Author: klandwich $
   \date       \$Date: 2014-02-28 10:25:18 +0100 (Fr, 28 Feb 2014) $
   \sa         For further information please refer to <A href="https://sourceforge.net/p/sasunit/wiki/User's%20Guide/" target="_blank">SASUnit User's Guide</A>
   \sa         \$HeadURL: https://svn.code.sf.net/p/sasunit/code/trunk/saspgm/sasunit/_opendummyhtmlpage.sas $
   \copyright  Copyright 2010, 2012 HMS Analytical Software GmbH.
               This file is part of SASUnit, the unit testing framework for SAS(R) programs.
               For terms of usage under the GPL license see included file readme.txt
               or https://sourceforge.net/p/sasunit/wiki/readme.v1.2/.

*/ /** \cond */ 

%macro _opendummyhtmlpage;
   ods html4 file="%sysfunc(pathname(work))/dummyhtml.html" style=styles.SASUnit stylesheet=(URL="SAS_SASUnit.css");
%mend;
/** \endcond */
